com.google.gwt.regexp.shared

## Class MatchResult

- java.lang.Object
- - com.google.gwt.regexp.shared.MatchResult

    public class MatchResult
    extends java.lang.Object

Pure Java implementation of a regular expression match result.

### Constructor Summary

Constructors
Constructor and Description
`MatchResult(int index, java.lang.String input, java.util.List<java.lang.String> groups)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getGroup(int index)` Retrieves the matched string or the given matched group.
`int` `getGroupCount()` Returns the number of groups, including the matched string hence greater or equal than 1.
`int` `getIndex()` Returns the zero-based index of the match in the input string.
`java.lang.String` `getInput()` Returns the original input string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MatchResult

    public MatchResult(int index,
                       java.lang.String input,
                       java.util.List<java.lang.String> groups)

### Method Detail

#### getGroup

    public java.lang.String getGroup(int index)

Retrieves the matched string or the given matched group.

Parameters:
  `index` - the index of the group to return, 0 to return the whole matched string; must be between 0 and `getGroupCount() - 1` included
Returns:
  The matched string if `index` is zero, else the given matched group. If the given group was optional and did not match, the behavior is browser-dependent: this method will return `null` or an empty string.

#### getGroupCount

    public int getGroupCount()

Returns the number of groups, including the matched string hence greater or equal than 1.

#### getIndex

    public int getIndex()

Returns the zero-based index of the match in the input string.

#### getInput

    public java.lang.String getInput()

Returns the original input string.